MissingArgumentException
Date: 2017-04-22

org.apache.commons.cli

## Class MissingArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException
      - - org.apache.commons.cli.MissingArgumentException

- All Implemented Interfaces:
    java.io.Serializable

      public class MissingArgumentException
      extends ParseException

  Thrown when an option requiring an argument is not provided with an argument.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingArgumentException(Option option)` Construct a new `MissingArgumentException` with the specified detail message.
    `MissingArgumentException(java.lang.String message)` Construct a new `MissingArgumentException` with the specified detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Option` | `getOption()` Return the option requiring an argument that wasn't provided on the command line.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingArgumentException

          public MissingArgumentException(java.lang.String message)

      Construct a new `MissingArgumentException` with the specified detail message.
      Parameters:
        `message` - the detail message

    - #### MissingArgumentException

          public MissingArgumentException(Option option)

      Construct a new `MissingArgumentException` with the specified detail message.
      Parameters:
        `option` - the option requiring an argument
      Since:
        1.2

  - ### Method Detail

    - #### getOption

          public Option getOption()

      Return the option requiring an argument that wasn't provided on the command line.
      Returns:
        the related option
      Since:
        1.2